Grove - RTC
-------------------------------------------------------------
![image](http://www.seeedstudio.com/depot/images/P2100707.jpg)


The RTC module is a member of Twig. It is based on the clock chip DS1307 which supports the I2C protocol. It uses a Lithium cell battery (CR1225). The clock/calendar provides seconds, minutes, hours, day, date,month, and year information. The end of the month date is automatically adjusted for months with fewer than 31 days, including corrections for leap year. The clock operates in either the 24-hour or 12-hour format with AM/PM indicator. 

Note: Battery is not included.

Features:

* Real-Time Clock (RTC) counts seconds,minutes, hours, date of the month, month,day of the week, and year with Leap-Year compensation valid up to 2100
* 56-Byte, Battery-Backed, Nonvolatile (NV)RAM for data storage
* I2C serial interface
* 5V DC supply
* Programmable Square-Wave output signal
* Automatic Power-Fail detect and switch circuitry
* Consumes less than 500nA in Battery-Backup Mode with Oscillator Running

-----
**Note:**

This is a Suli-Compatible Library, You Should Download Suli for your platform, please refer to [https://github.com/Seeed-Studio/Suli](https://github.com/Seeed-Studio/Suli "Suli")

If you can't find Suli for your platform, please contract us, If you can port it yourself and pull request to us, We'll be appreciated. 

***For Arduino:***

Just like you use the other Library, What's different is you should download Suli for Arduino First, remember that just put Suli for Arduino to your Arduino libraries folder.

***For non-Arduino Platform:***

For a non-Arduino platform, what you need is xxx.h and xxx.cpp(you can change it to xxx.c while your compiler can't support c++), the other files like xxx_Arduino.h and examples is for Arduino, you can just delete them.


----
This software is written by Loovee for seeed studio<br>
and is licensed under [The MIT License](http://opensource.org/licenses/mit-license.php). Check License.txt for more information.<br>

Contributing to this software is warmly welcomed. You can do this basically by<br>
[forking](https://help.github.com/articles/fork-a-repo), committing modifications and then [pulling requests](https://help.github.com/articles/using-pull-requests) (follow the links above<br>
for operating guide). Adding change log and your contact into file header is encouraged.<br>
Thanks for your contribution.

Seeed Studio is an open hardware facilitation company based in Shenzhen, China. <br>
Benefiting from local manufacture power and convenient global logistic system, <br>
we integrate resources to serve new era of innovation. Seeed also works with <br>
global distributors and partners to push open hardware movement.<br>


[1]:http://www.seeedstudio.com/wiki/LED_Bar



[![Analytics](https://ga-beacon.appspot.com/UA-46589105-3/Grove_RTC)](https://github.com/igrigorik/ga-beacon)
